require( "scripts/style.lua" );

HeaderFont = {
  bigButtonFont,
  50,
  DarkRedColor
};

MakeDialog
{
	name=name, -- Remember, this is like saying table['name']=name, so it works.
    Bitmap
    {
        name="grayimage", 
        image="backgrounds/shadow.png",
        alpha=true,
        x=0,
        y=0
    };
    Bitmap
    {
		image="backgrounds/submit_hs",
		x=kCenter,
		y=kCenter,

		SetStyle(DialogTitleText),

    };
    SetStyle(ButtonStyle),
    Button
    {
        command= function() 
                    gResult = 0;
                 end;
        close = true,
        flags = 5,
        label = "continue",
        x=300, y=170, --kMax-50,
        graphics = {
            "buttons/button_midbig_n",
            "buttons/button_midbig_p",
            "buttons/button_midbig_a"
        },        
        font = BlackButtonFont;
    };
    Button
    {
        command=
            function() 
				ScriptDump("qwerty");
				if  DisplayDialog { 
                        "scripts/yesno.lua", 
                        body ="confirm_new_game",
                        title = "empty_text", 
						nolabel = "cancel"
                    }=='yes' then
						gResult = 1;            
						CloseWindow();
					end                   
            end;
--        close = true,
        flags = 5,
        label = "start_new_game",
        x=300, y=270,        
        graphics = {
            "buttons/button_midbig_n",
            "buttons/button_midbig_p",
            "buttons/button_midbig_a"
        },        
        font = BlackButtonFont;
    };
    
    Button
    {
        command=
            function() 
                    gResult = 2;            
            end;
        close = true,
        flags = 5,
        label = "back",
        x=300, y=370, --kMax-50,
        graphics = {
            "buttons/button_midbig_n",
            "buttons/button_midbig_p",
            "buttons/button_midbig_a"
        },        
        font = BlackButtonFont;
    };    
    

} -- MakeDialog

SetImageAlpha("grayimage",0.4);
